<template>
  <div>
    <div class="">
      <div class="container pt-5 pb-5">
        <h1>
          {{ $t('game.title') }}
        </h1>
      </div>
    </div>

    <a name="community" style="position: relative;top:-5rem;"></a>
    <game-section
      :image="
        require('~/assets/images/screenshot/players_gathering.jpg?resize&size=540')
          .src
      "
      :title="$t('game.community.title')"
      bg-class="bg-section-gradient section-border-top section-border-bottom"
    >
      <div v-html="$marked($t('game.community.text'))"></div>
    </game-section>

    <a name="freedom" style="position: relative;top:-5rem;"></a>
    <game-section
      :image="
        require('~/assets/images/screenshot/desert_overwatch.png?resize&size=540')
          .src
      "
      :title="$t('game.freedom.title')"
      bg-class="bg-black bg-linen"
      image-right
    >
      <div v-html="$marked($t('game.freedom.text'))"></div>
    </game-section>

    <a name="atys" style="position: relative;top:-5rem;"></a>
    <game-section
      :title="$t('game.atys.title')"
      special-atys
      bg-class="bg-section-gradient section-border-top section-border-bottom"
    >
      <div v-html="$marked($t('game.atys.text'))"></div>
    </game-section>

    <a name="roleplay" style="position: relative;top:-5rem;"></a>
    <game-section
      :image="
        require('~/assets/images/screenshot/kami_closeup.jpg?resize&size=540')
          .src
      "
      :title="$t('game.roleplay.title')"
      bg-class="bg-black bg-linen"
      image-right
    >
      <div v-html="$marked($t('game.roleplay.text'))"></div>
    </game-section>

    <game-section
      :image="
        require('~/assets/images/screenshot/feature_invasion2.jpg?resize&size=540')
          .src
      "
      :title="$t('game.invasions.title')"
      bg-class="bg-section-gradient section-border-top section-border-bottom"
    >
      <div v-html="$marked($t('game.invasions.text'))"></div>
    </game-section>

    <game-section
      :image="
        require('~/assets/images/screenshot/features_pvp.jpg?resize&size=540')
          .src
      "
      :title="$t('game.pvp.title')"
      bg-class=""
      image-right
    >
      <div v-html="$marked($t('game.pvp.text'))"></div>
    </game-section>

    <game-section
      :image="
        require('~/assets/images/screenshot/features_harvest.jpg?resize&size=540')
          .src
      "
      :title="$t('game.forage.title')"
      bg-class="bg-section-gradient section-border-top section-border-bottom"
    >
      <div v-html="$marked($t('game.forage.text'))"></div>
    </game-section>

    <game-section
      :image="
        require('~/assets/images/screenshot/features_creatures2.jpg?resize&size=540')
          .src
      "
      :title="$t('game.mobs.title')"
      bg-class="bg-black bg-linen"
      image-right
    >
      <div v-html="$marked($t('game.mobs.text'))"></div>
    </game-section>

    <game-section
      :image="
        require('~/assets/images/screenshot/feature_environnement.jpg?resize&size=540')
          .src
      "
      :title="$t('game.environment.title')"
      bg-class="bg-section-gradient section-border-top section-border-bottom"
    >
      <div v-html="$marked($t('game.environment.text'))"></div>
    </game-section>

    <div class="bg-black bg-linen pt-4 pt-md-5">
      <div class="container">
        <div class="row text-md-justify">
          <div class="col-md-6">
            <h2 class="d-block text-md-right">
              {{ $t('game.classless.title') }}
            </h2>
            <div v-html="$marked($t('game.classless.text'))"></div>
          </div>
          <div class="col-md-6">
            <h2>{{ $t('game.opensource.title') }}</h2>
            <div v-html="$marked($t('game.opensource.text'))"></div>
          </div>
        </div>
      </div>
    </div>

    <div class="bg-black bg-linen pb-4 pb-md-5">
      <div class="container">
        <div class="row text-md-justify">
          <div class="col-md-6">
            <h2 class="d-block text-md-right">
              {{ $t('game.customization.title') }}
            </h2>
            <div v-html="$marked($t('game.customization.text'))"></div>
          </div>
          <div class="col-md-6">
            <h2>{{ $t('game.multiplatform.title') }}</h2>
            <div v-html="$marked($t('game.multiplatform.text'))"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import GameSection from '~/components/game/game-section';
export default {
  auth: false,
  components: { GameSection },
  mounted() {
    this.$store.commit('SET_ACTIVE_PAGE', 'game');
    setTimeout(() => this.scrollFix(this.$route.hash), 300);
  },
  methods: {
    scrollFix(hashbang) {
      if (hashbang) {
        location.href = hashbang;
      }
    },
  },
};
</script>
